Bug 525743 - Regression between 2.6.29 and 2.6.30 causing qemu.git KVM support to break
Regression between 2.6.29 and 2.6.30 causing qemu.git KVM support to break
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Juan Quintela
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-09-25 10:15 EDT by Juan Quintela
Modified: 2009-10-30 13:58 EDT (History)
7 users (show)

See Also:
Fixed In Version: 2.6.30.9-90.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-30 13:58:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Quintela 2009-09-25 10:15:42 EDT
Description of problem:

Upstream qemu git worked with 2.6.29.x Fedora kernel.  With new 2.6.30.5-43.fc11
qemu --enable-kvm -loadvm don't work anymore.

Version-Release number of selected component (if applicable):

2.6.30.5-43.fc11

How reproducible:

always

Steps to Reproduce:
1. Boot a guest with qemu-system-x86_64 --enable-kvm .... rest args...
2. in the qemu monitor type: savevm foo
3. Now try to load the snapshot: qemu-system-x86 --enable-kvm -loadvm foo ... rest arguments
  
Actual results:

guest machine loads correctly, but just after load it resets the guest and it restarts.

Expected results:

Execution continues from saved state

Additional info:

upstream qemu.git without --enable-kvm still works (it don't use kvm)
qemu-kvm from F11 updates work
upsntream qemu-kvm.git also work
Comment 1 Juan Quintela 2009-09-25 10:16:14 EDT
I am trying to bisect between 2.6.29 and 2.6.30 what commit caused the breakage
Comment 2 Juan Quintela 2009-09-25 21:28:00 EDT
Reverting this commit from upstream fixes the issue.  Commit was already reverted
in kvm upstream git.


    Revert "KVM: x86: check for cr3 validity in ioctl_set_sregs"
    
    This reverts commit d42a5ebb5ecc66aa692a1141c7ba284ec612e9cc.
Comment 3 Chuck Ebbert 2009-09-27 06:06:59 EDT
Interesting... 2.6.30.6 got the more robust check in mmu_alloc_roots (commit 8986ecc0ef58c96eec48d8502c048f3ab67fd8e2) mentioned in the revert patch but did not get that revert (commit dc7e795e3dd2a763e5ceaa1615f307e808cf3932).
Comment 4 Chuck Ebbert 2009-09-27 06:25:01 EDT
This patch didn't get into 2.6.31.1 either, so is needed for f-12 as well.
Comment 5 Chuck Ebbert 2009-09-28 12:59:06 EDT
Fixed in  2.6.30.8-69
Comment 6 Marcelo Tosatti 2009-10-01 12:10:07 EDT
Chuck,

Revert patch already in -stable queue for .30/.31.
Comment 7 Fedora Update System 2009-10-17 21:57:02 EDT
kernel-2.6.30.9-90.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kernel-2.6.30.9-90.fc11
Comment 8 Fedora Update System 2009-10-27 02:47:00 EDT
kernel-2.6.30.9-90.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.